#!/bin/bash

#Defaults params
RATE=100
SOURCE="/bias/config/RawTestFiles"
IP="kafka"
PORT=9092
TOPIC="DAQ_topic"

# Funzione per stampare l'uso dello script
print_usage() {
    echo "Uso: $0 [OPZIONI]"
    echo "Opzioni disponibili:"
    echo "  --source <valore>: Specifica il file sorgente o la cartella (predefinito: $SOURCE)"
	echo "  --rate <valore>: Specifica la rate con cui legge i pacchetti dalla sorgente (predefinito: $RATE)"
    echo "  --ip <valore>: Specifica l'indirizzo IP del broker Kafka (predefinito: $IP)"
    echo "  --port <valore>: Specifica la porta del broker Kafka (predefinito: $PORT)"
	echo "  --topic <valore>: Specifica il topic kafka su cui inviare i pacchetti (predefinito: $TOPIC)"
    echo "  --help: Mostra questa guida"
    exit 1
}

# Analizza gli argomenti dalla linea di comando
while [[ $# -gt 0 ]]; do
    case "$1" in
        --source)
            SOURCE="$2"
            shift 2
            ;;
		 --rate)
            RATE="$2"
            shift 2
            ;;
        --ip)
            IP="$2"
            shift 2
            ;;
        --port)
            PORT="$2"
            shift 2
            ;;
		--topic)
            TOPIC="$2"
            shift 2
            ;;
		--help)
			print_usage
			;;
        *)
            echo "Argomento sconosciuto: $1"
            exit 1
            ;;
    esac
done

# Esegui il comando con i parametri definiti
/bias/bin/AstriMaProcessor.lnx --astriprocessor_receiver file --filereceiver_source "$SOURCE"  --filereceiver_rate "$RATE" --astriprocessor_provider kafkaavro --kafkaavroprovider_ip "$IP" --kafkaavroprovider_port "$PORT" --kafkaavroprovider_topic "$TOPIC"
